image: openjdk:11-jdk

variables:
  ANDROID_COMPILE_SDK: '30'
  ANDROID_BUILD_TOOLS: '30.0.2'
  ANDROID_SDK_TOOLS: '7583922'

before_script:
  - apt-get --quiet update --yes
  - apt-get --quiet install --yes wget tar unzip lib32stdc++6 lib32z1
  - export ANDROID_SDK_ROOT="${PWD}/android-home"
  - install -d $ANDROID_SDK_ROOT
  - wget --output-document=$ANDROID_SDK_ROOT/cmdline-tools.zip https://dl.google.com/android/repository/commandlinetools-linux-${ANDROID_SDK_TOOLS}_latest.zip
  - pushd $ANDROID_SDK_ROOT
  - unzip -d cmdline-tools cmdline-tools.zip
  - pushd cmdline-tools
  - mv cmdline-tools tools || true
  - popd
  - popd
  - export PATH=$PATH:${ANDROID_SDK_ROOT}/cmdline-tools/tools/bin/
  - sdkmanager --version
  - yes | sdkmanager --licenses || true
  - sdkmanager "platforms;android-${ANDROID_COMPILE_SDK}"
  - sdkmanager "platform-tools"
  - sdkmanager "build-tools;${ANDROID_BUILD_TOOLS}"
  - apt-get install -y nodejs
  - curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add -
  - echo "deb https://dl.yarnpkg.com/debian/ stable main" |  tee /etc/apt/sources.list.d/yarn.list
  - apt-get update
  - apt-get install yarn -y
  - yarn install
  - chmod +x ./android/gradlew

# Make Project
assembleRelease:
  interruptible: true
  stage: build
  script:
    - echo $MYAPP_UPLOAD_STORE_FILE_BASE64 | base64 -d > android/app/rntestapp.keystore
    - echo "MYAPP_UPLOAD_STORE_FILE=rntestapp.keystore" > android/keystore.properties
    - echo "MYAPP_UPLOAD_STORE_PASSWORD=$MYAPP_UPLOAD_STORE_PASSWORD" >> android/keystore.properties
    - echo "MYAPP_UPLOAD_KEY_ALIAS=$MYAPP_UPLOAD_KEY_ALIAS" >> android/keystore.properties
    - echo "MYAPP_UPLOAD_KEY_PASSWORD=$MYAPP_UPLOAD_KEY_PASSWORD" >> android/keystore.properties
    - cd android
    - echo assembleRelease
    - ./gradlew assembleRelease
  artifacts:
    paths:
      - android/app/rntestapp.keystore
      - android/keystore.properties
      - android/app/build/outputs/apk/
    expire_in: 20 mins
  when: manual
  only:
    - master
